跳转到主要内容
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
prices
代币 - 历史价格
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/prices \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "address": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
      "priceInUsd": "1000",
      "timestamp": 1754055151000,
      "priceInSol": "1000"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络列表中的链名称 支持的区块链

可用选项:
sol,
eth,
bsc
tokenAddress
string
必填

代币地址

查询参数

cursor
string

分页游标

limit
integer<int64>
默认值:20

每页返回结果数量

direction
enum<string>
默认值:next

分页方向

可用选项:
next,
prev

响应

200 - application/json

获取价格

通用分页响应

data
object[]
必填

页数据

endCursor
string | null

当前页尾部游标

示例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

是否存在下一页

示例:

false

hasPrev
boolean

是否存在上一页

示例:

false

startCursor
string | null

当前页起始游标

示例:

"eyJpZCI6InN0YXJ0In0="